#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_libdir}/perl5/%{perlvers}/core_perl
#-----------------------------------------------------------------------------
Name		:	perl-DBI
Version		:	1.642
Release		:	14.8.0.0%{?dist}
Summary		:	A database access API for perl
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/DBI

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
The DBI is a database access module for the Perl programming language.
It defines a set of methods, variables, and conventions that provide a
consistent database interface, independent of the actual database being used.

It is important to remember that the DBI is just an interface. The DBI is
a layer of "glue" between an application and one or more database driver
modules. It is the driver modules which do most of the real work.
The DBI provides a standard interface and framework for the drivers to
operate within.


 

%prep
%setup -q -n %{sname}-%{version}

%{__rm} lib/DBD/Gofer/Transport/corostream.pm
sed -i								\
  -e '/^lib\/DBD\/Gofer\/Transport\/corostream.pm$/d'		\
  MANIFEST

#---------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'
%{__rm} -fr							\
	%{buildroot}%{perl_vendorarch}/{Win32,DBI/W32ODBC.pm}	\
	%{buildroot}%{_mandir}/man3/{DBI::W32,Win32::DBI}ODBC.3
	
%{__perl} -pi -e 							\
    's"#!perl -w"#!/usr/bin/perl -w"'				\
    %{buildroot}%{perl_vendorarch}/{goferperf,dbixs_rev}.pl

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/auto\
	-type f -perm 0555 -exec chmod u+w {} \;



%files			
%defattr(-, root,root, -)
%doc Changes README.md
%{_bindir}/dbilogstrip
%{_bindir}/dbiprof
%{_bindir}/dbiproxy
%{perl_vendorarch}/Bundle/DBI.pm
%{perl_vendorarch}/DBD/*
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI/*
%{perl_vendorarch}/auto/DBI/*
%{perl_vendorarch}/dbixs_rev.pl
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/Bundle::DBI.3.gz
%{_mandir}/man3/DBI.3.gz
%{_mandir}/man3/DBD::*.3.gz
%{_mandir}/man3/DBI::*.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
